## unbound 1.22.0

=== debian/changelog ===
unbound (1.22.0-2ubuntu4) resolute; urgency=medium

  * debian/patches/fix_ftbfs_function.patch: replace deprecated $function
    by new $action.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Nov 2025 16:27:33 +0100

unbound (1.22.0-2ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: promiscuous NS RRSets domain hijack issue
    - debian/patches/CVE-2025-11411.patch: fix possible domain hijacking
      attack and add new iter-scrub-promiscuous configuration option.
    - CVE-2025-11411

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Oct 2025 08:47:51 -0400

unbound (1.22.0-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:37:34 +0000

unbound (1.22.0-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't build with hiredis on i386.  hiredis and redis are not built
      on i386 and require bootstrapping due to circular
      build-dependencies; simpler to just disable this in the i386
      unbound server binary (that no one will ever use).

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Jul 2025 08:58:36 -0400

unbound (1.22.0-2) unstable; urgency=medium

  * add Fix-RebirthDay-Attack-CVE-2025-5994.patch from upstream
    (Closes: #1109427, CVE-2025-5994)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 17 Jul 2025 19:05:22 +0300

unbound (1.22.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2087526, LP: #2085302). Remaining changes:
    - Don't build with hiredis on i386.  hiredis and redis are not built
      on i386 and require bootstrapping due to circular
      build-dependencies; simpler to just disable this in the i386
      unbound server binary (that no one will ever use).
  * Dropped:
    - SECURITY UPDATE: null pointer dereference
      + debian/patches/CVE-2024-43167-1.patch: fix null pointer
        dereference issue in function ub_ctx_set_fwd of file
        libunbound/libunbound.c
      + debian/patches/CVE-2024-43167-2.patch: fix to print a parse
        error when config is read with no name for a forward-zone, stub-
        zone or view.
      + CVE-2024-43167
        [Fixed upstream]
    - SECURITY UPDATE: denial of service via large RRsets compression
      + debian/patches/CVE-2024-8508.patch: limit name compression
        calculations per packet to avoid CPU lockup in util/data/msgencode.c
      + CVE-2024-8508
        [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 28 Jan 2025 18:44:57 -0300

unbound (1.22.0-1) unstable; urgency=medium

  * new upstream release (1.22.0)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 19 Oct 2024 13:11:14 +0300

unbound (1.21.1-1) unstable; urgency=medium

  * new upstream release 1.21.1
    Closes: #1078647, CVE-2024-43167 (NULL ptr deref in ub_ctx_set_fwd)
    Closes: #1083282, CVE-2024-8508 (Unbounded name compression)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 04 Oct 2024 17:48:04 +0300

unbound (1.20.0-1ubuntu2.2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:01:59 +0100

unbound (1.20.0-1ubuntu2.1) oracular-security; urgency=medium

  * SECURITY UPDATE: denial of service via large RRsets compression
    - debian/patches/CVE-2024-8508.patch: limit name compression
      calculations per packet to avoid CPU lockup in util/data/msgencode.c
    - CVE-2024-8508

 -- Vyom Yadav <vyom.yadav@canonical.com>  Thu, 17 Oct 2024 11:09:49 +0530

=== debian/control ===
Source: unbound
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: unbound packagers <unbound@packages.debian.org>
Uploaders:
 Robert Edmonds <edmonds@debian.org>,
 Michael Tokarev <mjt@tls.msk.ru>,
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 bison,
 dh-apparmor <!pkg.unbound.libonly>,
 dh-sequence-python3 <!pkg.unbound.libonly>,
 dpkg-dev (>= 1.16.1~),
 flex,
 libbsd-dev (>= 0.8.1~) [!linux-any],
 libevent-dev,
 libexpat1-dev,
 libhiredis-dev [!i386] <!pkg.unbound.libonly>,
 libnghttp2-dev <!pkg.unbound.libonly>,
 libprotobuf-c-dev <!pkg.unbound.libonly>,
 libssl-dev,
 libsystemd-dev <!pkg.unbound.libonly>,
 libtool,
 pkgconf,
 protobuf-c-compiler <!pkg.unbound.libonly>,
# autodep8 bug #904999:
 python3-dev:any <!pkg.unbound.libonly>,
 libpython3-dev <!pkg.unbound.libonly>,
 swig <!pkg.unbound.libonly>,
Standards-Version: 4.6.2
Homepage: https://www.unbound.net/
Vcs-Browser: https://salsa.debian.org/dns-team/unbound
Vcs-Git: https://salsa.debian.org/dns-team/unbound.git
Rules-Requires-Root: no

Package: libunbound-dev
Section: libdevel
Architecture: any
Depends:
 libunbound8 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: static library, header files, and docs for libunbound
 Static library, header files, and documentation for libunbound.
 .
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: libunbound8
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: library implementing DNS resolution and validation
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: python3-unbound
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Build-Profiles: <!pkg.unbound.libonly>
Description: library implementing DNS resolution and validation (Python3 bindings)
 Python3 extension module for libunbound.
 .
 libunbound performs and validates DNS lookups; it can be used to convert
 hostnames to IP addresses and back and obtain other information from the
 DNS. Cryptographic validation of results is performed with DNSSEC.

Package: unbound
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dns-root-data,
Enhances:
 munin-node,
Suggests: apparmor, openssl
Build-Profiles: <!pkg.unbound.libonly>
Description: validating, recursive, caching DNS resolver
 Unbound is a recursive-only caching DNS server which can perform DNSSEC
 validation of results. It implements only a minimal amount of authoritative
 service to prevent leakage to the root nameservers: forward lookups for
 localhost, reverse for 127.0.0.1 and ::1, and NXDOMAIN for zones served by
 AS112. Stub and forward zones are supported.
 .
 This package contains the unbound daemon.

Package: unbound-anchor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 unbound (<< 1.4.13-1),
Breaks:
 unbound (<< 1.4.13-1),
Build-Profiles: <!pkg.unbound.libonly>
Description: utility to securely fetch the root DNS trust anchor
 unbound-anchor is a utility which securely fetches or updates the root DNS
 zone trust anchor. A copy of the current root anchor and root update
 certificate is embedded in unbound-anchor. RFC 5011 trust anchor tracking is
 performed, with fallback to an SSL fetch if this fails.

Package: unbound-host
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: dns-root-data
Build-Profiles: <!pkg.unbound.libonly>
Description: reimplementation of the 'host' command
 This package provides the 'unbound-host' program that is bundled with the
 Unbound domain name server. This version differs from the one provided in the
 package called host, which is from NIKHEF, and bind9-host, which is from ISC,
 and has a similar but different set of features and options.

=== debian/rules ===
#!/usr/bin/make -f
.NOTPARALLEL:
#export DH_VERBOSE=1
SHELL = /bin/sh -e

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# we build in a sub-subdir so strip that from file paths too
export DEB_CFLAGS_MAINT_APPEND = -ffile-prefix-map=../../=

export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Fast version of dpkg/architecture.mk defining all vars in one go
ifeq (${DEB_HOST_MULTIARCH},)
   $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
endif

# DEB_BUILD_OPTIONS=parallel=N
MAKEFLAGS += $(subst parallel=,-j,$(filter parallel=%,${DEB_BUILD_OPTIONS}))

libonly := $(filter pkg.unbound.libonly,${DEB_BUILD_PROFILES})

CONFIGURE_ARGS = \
	--disable-rpath \
	--with-pidfile=/run/unbound.pid \
	--with-libevent \
	--enable-tfo-client \

ifneq ($(DEB_HOST_ARCH), i386)
	redis=--with-libhiredis
endif

# this is used by unbound-host and unbound-anchor
CONFIGURE_ARGS += --with-rootkey-file=/usr/share/dns/root.key

ifneq (${DEB_HOST_ARCH}, amd64)
# Link-Time Optimization https://wiki.debian.org/ToolChain/LTO
# can be disabled here but enabled globally in DEB_BUILD_MAINT_OPTIONS
CONFIGURE_ARGS += --disable-flto
endif

ifneq (${DEB_HOST_ARCH_OS}, linux)
# both kfreebsd and hurd have -lbsd (#853751)
CONFIGURE_ARGS += --with-libbsd
endif

ifneq (${DEB_HOST_ARCH_OS}, kfreebsd)
# tfo-server does not work on kfreebsd due to no TCP_FASTOPEN
CONFIGURE_ARGS += --enable-tfo-server
endif

ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
# #1024422
export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__${DEB_HOST_MULTIARCH}
endif

build-arch build-indep build \
install-arch install-indep install \
binary-arch binary-indep binary \
clean \
: %:
	dh $@

# first build -- build unbound daemon, support progs and python library
unbound-config: b/unbound/config.h
b/unbound/config.h:
	PYTHON_VERSION="$(shell py3versions -vd)" \
	PYTHON_SITE_PKG=/usr/lib/python3/dist-packages \
	    dh_auto_configure -Bb/unbound -- \
		--with-pythonmodule \
		--with-pyunbound \
		--enable-subnet \
		--enable-dnstap \
		--enable-systemd \
		--enable-cachedb \
		$(redis) \
		--with-libnghttp2 \
		--with-chroot-dir="" \
		--with-dnstap-socket-path=/run/dnstap.sock \
		${CONFIGURE_ARGS}
unbound-build: b/unbound/build-stamp
b/unbound/build-stamp: b/unbound/config.h
	${MAKE} -Cb/unbound
	touch $@

# second build: libunbound only
libunbound-config: b/libunbound/config.h
b/libunbound/config.h:
	    dh_auto_configure -Bb/libunbound -- \
		--with-libunbound-only \
		--without-pythonmodule \
		--without-pyunbound \
		--enable-event-api \
		${CONFIGURE_ARGS}
libunbound-build: b/libunbound/stamp-build
b/libunbound/stamp-build: b/libunbound/config.h
	${MAKE} -Cb/libunbound lib
	touch $@

override_dh_auto_configure: $(if ${libonly},, unbound-config) libunbound-config

override_dh_auto_build: $(if ${libonly},, unbound-build) libunbound-build

override_dh_auto_test: $(if ${libonly},, unbound-build)
ifeq (,$(filter nocheck,${DEB_BUILD_OPTIONS}))
	$(if ${libonly},, ${MAKE} -Cb/unbound test)
endif

override_dh_auto_install: override_dh_auto_build
	$(if ${libonly},, ${MAKE} -Cb/unbound install DESTDIR=${CURDIR}/debian/tmp)
	# this overrides the library (static & shared), headers and the manpages
	${MAKE} -Cb/libunbound install-lib DESTDIR=${CURDIR}/debian/tmp

ifeq (,${libonly})
	install -Dp -m 0644 debian/apparmor-profile debian/unbound/etc/apparmor.d/usr.sbin.unbound
	dh_apparmor --profile-name=usr.sbin.unbound -punbound

	dh_installsystemd -punbound
	dh_installsystemd -punbound --name=unbound-resolvconf --no-start --no-stop-on-upgrade
	dh_installinit --error-handler=true --restart-after-upgrade

	install -d debian/unbound/etc/insserv.conf.d
	echo '$$named unbound' > debian/unbound/etc/insserv.conf.d/unbound
	install -Dp -m 0755 debian/resolvconf-forwards debian/unbound/etc/resolvconf/update.d/unbound
	install -Dp -m 0755 debian/resolvconf-package debian/unbound/usr/lib/resolvconf/dpkg-event.d/unbound
	install -Dp -m 0644 contrib/update-anchor.sh -t debian/unbound/usr/share/doc/unbound/contrib/
	install -Dp -m 0755 contrib/unbound_munin_ -t debian/unbound/usr/share/munin/plugins/
endif

override_dh_installsystemd:
override_dh_installinit:

override_dh_compress:
	dh_compress -Xusr/share/doc/unbound/examples/unbound.conf

override_dh_auto_clean:
	rm -rf b/

## unbound 1.23.1

=== debian/changelog ===
unbound (1.23.1-1) unstable; urgency=medium

  * new upstream release
  * d/apparmor-profile: remove sssd path which is in apparmor base
    for a very long time
  * Fix-RebirthDay-Attack-CVE-2025-5994.patch: remove

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 24 Aug 2025 12:37:28 +0300

## unbound 1.24.0

=== debian/changelog ===
unbound (1.24.0-2) unstable; urgency=medium

  * d/tests/runzones: set so-sndbuf to 0
    unbound tries to set it to a large(ish) value which is not allowed
    for a non-root.  And unbound complains to stderr, causing test failure.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 23 Sep 2025 17:40:14 +0300

unbound (1.24.0-1) unstable; urgency=medium

  * new upstream release
  * d/rules,d/libunbound-dev.install: drop static library and deps
    (Closes: #1096189)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 18 Sep 2025 20:55:14 +0300

## unbound 1.24.1

=== pythonmod/Makefile ===
# Makefile: tests unbound python module (please edit SCRIPT variable)
#
# Copyright (c) 2009, Zdenek Vasicek (vasicek AT fit.vutbr.cz)
#                     Marek Vavrusa  (xvavru00 AT stud.fit.vutbr.cz)
#
# This software is open source.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    * Redistributions of source code must retain the above copyright notice,
#      this list of conditions and the following disclaimer.
# 
#    * Redistributions in binary form must reproduce the above copyright notice,
#      this list of conditions and the following disclaimer in the documentation
#      and/or other materials provided with the distribution.
# 
#    * Neither the name of the organization nor the names of its
#      contributors may be used to endorse or promote products derived from this
#      software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

SUEXEC  = sudo
UNBOUND = ../unbound
SCRIPT  = ./test-resip.conf

UNBOUND_OPTS = -dv -c $(SCRIPT)

.PHONY: test sudo suexec doc

all: test

$(UNBOUND):
	make -C ..

test: $(UNBOUND)
	$(UNBOUND) $(UNBOUND_OPTS)

sudo: $(UNBOUND)
	sudo $(UNBOUND) $(UNBOUND_OPTS)

suexec: $(UNBOUND)
	su -c "$(UNBOUND) $(UNBOUND_OPTS)"

doc:
	$(MAKE) -C doc html

=== debian/changelog ===
unbound (1.24.1-2) unstable; urgency=medium

  * replace-deprecated-function-by-new-action.patch:
    fix build with new SWIG 4.4.0 (fix from upstream)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 30 Oct 2025 14:18:08 +0300

unbound (1.24.1-1) unstable; urgency=medium

  [ MichaIng ]
  * d/unbound.conf.d/remote-control.conf: fix typo

  [ Michael Tokarev ]
  * d/upstream/signing-key.asc: add Yorgos Thessalonikefs key
    (CFF3 344D 9087 A490)
  * new upstream security/bugfix release
    Closes: CVE-2025-11411 (possible domain hijacking attack)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 22 Oct 2025 13:41:36 +0300

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # we build in a sub-subdir so strip that from file paths too
 export DEB_CFLAGS_MAINT_APPEND = -ffile-prefix-map=../../=
-
-export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Fast version of dpkg/architecture.mk defining all vars in one go
 ifeq (${DEB_HOST_MULTIARCH},)
@@ -24,10 +22,6 @@
 	--with-pidfile=/run/unbound.pid \
 	--with-libevent \
 	--enable-tfo-client \
-
-ifneq ($(DEB_HOST_ARCH), i386)
-	redis=--with-libhiredis
-endif
 
 # this is used by unbound-host and unbound-anchor
 CONFIGURE_ARGS += --with-rootkey-file=/usr/share/dns/root.key
@@ -71,8 +65,7 @@
 		--enable-subnet \
 		--enable-dnstap \
 		--enable-systemd \
-		--enable-cachedb \
-		$(redis) \
+		--enable-cachedb --with-libhiredis \
 		--with-libnghttp2 \
 		--with-chroot-dir="" \
 		--with-dnstap-socket-path=/run/dnstap.sock \
@@ -109,6 +102,11 @@
 	$(if ${libonly},, ${MAKE} -Cb/unbound install DESTDIR=${CURDIR}/debian/tmp)
 	# this overrides the library (static & shared), headers and the manpages
 	${MAKE} -Cb/libunbound install-lib DESTDIR=${CURDIR}/debian/tmp
+# as of 1.23, ./configure does not honour --disable-static
+	rm -f debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libunbound.a
+# drop static-build deps from the .pc file
+	sed -r -i '/^(Libs|Requires)\.private/D' \
+	    debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/libunbound.pc
 
 ifeq (,${libonly})
 	install -Dp -m 0644 debian/apparmor-profile debian/unbound/etc/apparmor.d/usr.sbin.unbound

=== debian/tests/control ===
Tests: runzones
Depends: @, udns-utils, dns-root-data
Restrictions: needs-internet

## unbound 1.24.2

=== debian/changelog ===
unbound (1.24.2-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 23 Jan 2026 15:02:18 +0000

unbound (1.24.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126008). Remaining changes:
    - Don't build with hiredis on i386.  hiredis and redis are not built
      on i386 and require bootstrapping due to circular
      build-dependencies; simpler to just disable this in the i386
      unbound server binary (that no one will ever use).
  * Dropped changes:
    - d/p/CVE-2025-11411 [included in 1.23.1-1]
    - d/p/Fix-RebirthDay-Attack-CVE-2025-5994 [included in 1.23.1-1]
    - d/p/fix_ftbfs_function [replaced by
      d/p/replace-deprecated-function-by-new-action in 1.24.1-2]

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 02 Dec 2025 17:05:25 +0100

unbound (1.24.2-1) unstable; urgency=medium

  * new upstream security release:
    Additional fix for CVE-2025-11411 (possible domain hijacking attack),
    to include YXDOMAIN and non-referral nodata answers in the mitigation
    as well, reported by TaoFei Guo from Peking University, Yang Luo
    and JianJun Chen from Tsinghua University.
    Closes: #1121446, CVE-2025-11411
  * debian/upstream/signing-key.asc: merge two separate parts into one
    (keeping the same two keys)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Nov 2025 22:59:06 +0300

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # we build in a sub-subdir so strip that from file paths too
 export DEB_CFLAGS_MAINT_APPEND = -ffile-prefix-map=../../=
+
+export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Fast version of dpkg/architecture.mk defining all vars in one go
 ifeq (${DEB_HOST_MULTIARCH},)
@@ -22,6 +24,10 @@
 	--with-pidfile=/run/unbound.pid \
 	--with-libevent \
 	--enable-tfo-client \
+
+ifneq ($(DEB_HOST_ARCH), i386)
+	redis=--with-libhiredis
+endif
 
 # this is used by unbound-host and unbound-anchor
 CONFIGURE_ARGS += --with-rootkey-file=/usr/share/dns/root.key
@@ -65,7 +71,8 @@
 		--enable-subnet \
 		--enable-dnstap \
 		--enable-systemd \
-		--enable-cachedb --with-libhiredis \
+		--enable-cachedb \
+		$(redis) \
 		--with-libnghttp2 \
 		--with-chroot-dir="" \
 		--with-dnstap-socket-path=/run/dnstap.sock \
